<?php
class Cache {
  var $settings = array();
  var $content = array();
  var $prefix = '';
  var $name = '';
  
  function __construct($bin) {
    global $conf;
    
    $this->name = $bin;
    $this->prefix = $conf['cacherouter'][$bin]['prefix'];
  }
  
  function get($key) {
    if (isset($this->content[$key])) {
      return $this->content[$key];
    }
  }
  
  function set($key, $value) {
    $this->content[$key] = $value;
  }
  
  function delete($key) {
    unset($this->content[$key]);
  }
  
  function flush() {
    $this->content = array();
  }
  
  /**
   * key()
   *   Get the full key of the item
   *
   * @param string $key
   *   The key to set.
   * @return string
   *   Returns the full key of the cache item.
   */
  function key($key) {
    return urlencode(($this->prefix ? $this->prefix . '-' : '') . $this->name . '-' . $key);
  }
}